import { world } from "@minecraft/server";
export function killedByPlayer(id) {
    var _a;
    if (!id)
        return false;
    return ((_a = world.getEntity(id)) === null || _a === void 0 ? void 0 : _a.typeId) === "minecraft:player";
}
